---
apiVersion: operators.coreos.com/v1
kind: Operator
metadata:
  creationTimestamp: "2025-10-27T12:43:37Z"
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec: {}
    manager: olm
    operation: Update
    time: "2025-10-27T12:43:37Z"
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:components:
          .: {}
          f:labelSelector: {}
          f:refs: {}
    manager: olm
    operation: Update
    subresource: status
    time: "2025-10-29T13:14:37Z"
  name: ocs-operator.openshift-storage
  resourceVersion: "2219434"
  uid: 00d58a8b-fb03-4a8c-9266-d1c440ef12ca
spec: {}
status:
  components:
    labelSelector:
      matchExpressions:
      - key: operators.coreos.com/ocs-operator.openshift-storage
        operator: Exists
    refs:
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: ocs-operator.v4.19.6-rho-2GYe0BklKJjbPXl3cFTogIpySc7JHrRExNggXk
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: ocs-operator.v4.19.6-rho-b19mSp36j9Xjm2j4Ti0UxKCu3ul9yRF5ZRsR2D
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: ocs-operator.v4.19.6-rho-cmmnc8CzAcOSPAb7jzUFcULBlnAiayv9RKTCLw
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: ocs-operator.v4.19.6-rho-2GYe0BklKJjbPXl3cFTogIpySc7JHrRExNggXk
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: ocs-operator.v4.19.6-rho-b19mSp36j9Xjm2j4Ti0UxKCu3ul9yRF5ZRsR2D
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: ocs-operator.v4.19.6-rho-cmmnc8CzAcOSPAb7jzUFcULBlnAiayv9RKTCLw
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-29T11:56:08Z"
        lastUpdateTime: "2025-10-29T11:56:08Z"
        message: install strategy completed with no errors
        reason: InstallSucceeded
        status: "True"
        type: Succeeded
      kind: ClusterServiceVersion
      name: ocs-operator.v4.19.6-rhodf
      namespace: openshift-storage
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:43:45Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:43:45Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: ocsinitializations.ocs.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:43:45Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:43:45Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: storageautoscalers.ocs.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:43:47Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:43:47Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: storageclusterpeers.ocs.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:43:47Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:43:47Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: storageclusters.ocs.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:43:45Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:43:45Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: storageconsumers.ocs.openshift.io
    - apiVersion: apps/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:43:49Z"
        lastUpdateTime: "2025-10-27T12:43:49Z"
        message: ReplicaSet "ocs-operator-5ffdc66f74" has successfully progressed.
        reason: NewReplicaSetAvailable
        status: "True"
        type: Progressing
      - lastTransitionTime: "2025-10-29T11:56:08Z"
        lastUpdateTime: "2025-10-29T11:56:08Z"
        message: Deployment has minimum availability.
        reason: MinimumReplicasAvailable
        status: "True"
        type: Available
      kind: Deployment
      name: ocs-operator
      namespace: openshift-storage
    - apiVersion: apps/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:43:49Z"
        lastUpdateTime: "2025-10-27T12:43:49Z"
        message: ReplicaSet "ux-backend-server-68d9d958b4" has successfully progressed.
        reason: NewReplicaSetAvailable
        status: "True"
        type: Progressing
      - lastTransitionTime: "2025-10-27T12:44:59Z"
        lastUpdateTime: "2025-10-27T12:44:59Z"
        message: Deployment has minimum availability.
        reason: MinimumReplicasAvailable
        status: "True"
        type: Available
      kind: Deployment
      name: ux-backend-server
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:28Z"
        lastUpdateTime: "2025-10-27T12:44:28Z"
        status: "True"
        type: Installed
      kind: InstallPlan
      name: install-npnkp
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v2
      conditions:
      - lastTransitionTime: "2025-10-27T12:49:57Z"
        message: Reconcile completed successfully
        reason: ReconcileCompleted
        status: "True"
        type: Upgradeable
      kind: OperatorCondition
      name: ocs-operator.v4.19.6-rhodf
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: ocs-operator
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: ocs-provider-server
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: ux-backend-server
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-29T13:05:15Z"
        message: targeted catalogsource openshift-marketplace/redhat-operators missing
        reason: UnhealthyCatalogSourceFound
        status: "True"
        type: CatalogSourcesUnhealthy
      - message: 'constraints not satisfiable: no operators found from catalog redhat-operators
          in namespace openshift-marketplace referenced by subscription ocs-subscription,
          subscription ocs-subscription exists'
        reason: ConstraintsNotSatisfiable
        status: "True"
        type: ResolutionFailed
      kind: Subscription
      name: ocs-operator-stable-4.19-redhat-operators-openshift-marketplace
      namespace: openshift-storage
